interface Prize {
  // The name for the prize. Default: ''
  text?: string
  // The probability the prize to be drawn.
  // The higher the value, the more chances the prize to be picked up.
  // The probability is actually calculated by the formula
  // `probability = 1 * chance / (sum of every prize's chance)`
  // Default: 1
  chance?: number
  // The background color for the prize.
  // Will override `color.prize` of Wheel.
  color?: string
  // The color of the text
  // Will override `color.fontColor` of Wheel.
  fontColor?: string
  // The size of the text
  // Will override `fontSize` of Wheel.
  fontSize?: number
}

export { Prize }
