// A theme is an object where stores the colors used in the wheel.
interface Theme {
  // background color for the wheel's border
  border: string
  // background color for the prize part
  prize: string
  // background color for the button
  button: string
  // color for the line between prize parts
  line: string
  // color for prize text
  prizeFont: string
  // color for button text
  buttonFont: string
}

const THEME_DARK: Theme = {
  border: 'silver',
  prize: 'dimgray',
  button: 'darkslategray',
  line: 'silver',
  prizeFont: 'silver',
  buttonFont: 'lightyellow',
}
const THEME_DEFAULT: Theme = {
  border: 'red',
  prize: 'gold',
  button: 'darkorange',
  line: 'red',
  prizeFont: 'red',
  buttonFont: 'white',
}
const THEME_LIGHT: Theme = {
  border: 'orange',
  prize: 'lightyellow',
  button: 'tomato',
  line: 'orange',
  prizeFont: 'orange',
  buttonFont: 'white',
}

export { Theme, THEME_DARK, THEME_DEFAULT, THEME_LIGHT }
